/****************************************************************************/
/*                                                                          */
/*   cryptpc.h                                                              */
/*   PAM Single Sign On from Unix to NT                                     */
/*                                                                          */
/*   Copyright 1998-2000Microsoft Corporation                               */
/*   All rights reserved.                                                   */
/*                                                                          */
/****************************************************************************/

#ifndef __CRYPTPC_H__
#define __CRYPTPC_H__


#include "../common/nttype.h"
#include <unistd.h>
#include "../common/sha1.h"
#include "../common/des.h"
//#include "des3.h"
#include "../common/tripldes.h"

#define RANDOM_VALUE_LEN    8
#define DECRYPT 0
#define ENCRYPT 1

// version number

#include "../common/psyncver.h"

unsigned long get_crypt_capabilities(void);

void generate_random_value( BYTE *r1, size_t len);

char*
decrypt_received_buffer( char* encrypted_buffer, size_t buf_size, BYTE* r1, char *peer_name, char *secret, DES3TABLE *KeyTable);

void generate_hash_for_verification(BYTE *hashval, DES3TABLE *KeyTable, DWORD dwVersion, 
                                    DWORD dwMsgLength, DWORD dwMsgType,
                                    char* username, char* password);

DWORD buildVersionNumber(void);
BOOL isRoot(void);
#endif

